// Copyright (c) Sony Computer Entertainment Inc.

// low-level pad buffers
volatile u_char *bb0, *bb1;

// Function Prototypes
void padinit();
u_long padread();

#define PADup       (1<<12)
#define PADdown     (1<<14)
#define PADleft     (1<<15)
#define PADright    (1<<13)
#define PADtriangle (1<< 4)
#define PADcross    (1<< 6)
#define PADsquare   (1<< 7)
#define PADcircle   (1<< 5)
#define PADselect   (1<< 8)
#define PADstart    (1<<11)
#define PADR1       (1<< 3)
#define PADR2       (1<< 1)
#define PADL1       (1<< 2)
#define PADL2       (1<< 0)
#define PADi        (1<< 9)
#define PADj        (1<<10)

#define PAD2up       (1<<28)
#define PAD2down     (1<<30)
#define PAD2left     (1<<31)
#define PAD2right    (1<<29)
#define PAD2triangle (1<<20)
#define PAD2cross    (1<<22)
#define PAD2square   (1<<23)
#define PAD2circle   (1<<21)
#define PAD2select   (1<<24)
#define PAD2start    (1<<27)
#define PAD2R1       (1<<19)
#define PAD2R2       (1<<17)
#define PAD2L1       (1<<18)
#define PAD2L2       (1<<16)
#define PAD2i        (1<<25)
#define PAD2j        (1<<26)
